/*
 * playitsam: Play, edit & save a TiVo video stream from stdin, file or MFS.
 * 
 * (c) 2002, Warren Toomey wkt@tuhs.org. Derived from vplay, written by
 * tridge@samba.org, December 2000
 * 
 * Released under the Gnu General Public License version 2
 */

					/* Things to do at exit time */
#define EXIT_FIXKEYBOARD	1	/* Undo raw mode on the keyboard */
#define EXIT_CLOSEAVDEVS	2	/* Close audio/video devices */
#define EXIT_CLOSEREMDEV	4	/* Close remote control device */
#define EXIT_MYWORLD		8	/* Restart myworld on exit */


#define CHUNK_SIZE (256*512)		/* Size of a chunk */
#define CHUNKSUNKNOWN	27176654	/* Magic number: indicates that */
					/* we don't know how many chunks */
					/* are in this stream */

#define MAXCUTS	100			/* Maximum # of cuts we can do */

					/* Type of input */
#define INPUT_STDIN	0		/* Input can come from stdin, a */
#define INPUT_FSID	1		/* TiVo fsid on MFS, or from a */
#define INPUT_FILE	2		/* Unix file  */
#define INPUT_TYSERVER	3		/* Tyserver via TCP */

					/* List of commands from user */
#define CMD_NONE	0		/* No command available at this time */
#define CMD_PAUSE	1		/* Toggle pause mode */
#define CMD_FWDFRAME	2		/* Go forward 1 chunk */
#define CMD_BACKFRAME	3		/* Go backward one chunk */
#define CMD_QUIT	4		/* Quit the program */
#define CMD_CSTART	5		/* Go to start of program */
#define CMD_CEND	6		/* Go to end of program & pause */
#define CMD_RECORD	7		/* Start record mode */
#define CMD_END		8		/* Go to the last chunk */
#define CMD_START	9		/* Go to the first chunk */
#define CMD_KILLCUT	10		/* Kill the current cut */
#define CMD_KILLALL	11		/* Kill all the cuts */
#define CMD_LISTCUTS	12		/* Print a list of cuts */
#define CMD_PLAYITALL	13		/* Play it back with cuts */
#define CMD_NOPAUSE	14		/* Only for TiVo remote */

#define CMD_FASTF1	20		/* Go forward several N chunks */
#define CMD_FASTF2	21
#define CMD_FASTF3	22
#define CMD_FASTF4	23
#define CMD_FASTF5	24
#define CMD_FASTF6	25
#define CMD_FASTB1	26		/* Go backward N chunks */
#define CMD_FASTB2	27
#define CMD_FASTB3	28
#define CMD_FASTB4	29
#define CMD_FASTB5	30
#define CMD_FASTB6	31

					/* List of TiVo remote keys */
#define REM_NONE		0
#define REM_TIVO_CENTRAL	1
#define REM_LIVE_TV		2
#define REM_UP_ARROW		3
#define REM_LEFT_ARROW		4
#define REM_DOWN_ARROW		5
#define REM_RIGHT_ARROW		6
#define REM_THUMBS_DOWN		7
#define REM_SELECT		8
#define REM_THUMBS_UP		9
#define REM_RECORD		10
#define REM_PLAY		11
#define REM_VOL_UP		12
#define REM_VOL_DOWN		13
#define REM_CHAN_UP		14
#define REM_CHAN_DOWN		15
#define REM_BACK		16
#define REM_PAUSE		17
#define REM_FORWARD		18
#define REM_BACK30		19
#define REM_SLOW		20
#define REM_END			21
#define REM_1			22
#define REM_2			23
#define REM_3			24
#define REM_4			25
#define REM_5			26
#define REM_6			27
#define REM_7			28
#define REM_8			29
#define REM_9			30
#define REM_CLEAR		31
#define REM_0			32
#define REM_ENTER		33

					/* Playback tools on non-TiVo */
#define AUDIO_PROG "amp -q - 2> /dev/null"
#define VIDEO_PROG "mpeg2dec -o x11 2> /dev/null"
